<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (is_admin(array(101, 102, 103, 105))) {
    show_title('menu.png', 'Панель управления');
    $config['newtitle'] = 'Панель управления';
    site_verification();

    echo '<img src="../images/img/act.gif" alt="image" /> <a href="chat.php?' . SID . '">Админ-чат</a> (' . stats_chat() . ')<br />';
    echo '<img src="../images/img/act.gif" alt="image" /> <a href="book.php?' . SID . '">Управление гостевой</a> (' . stats_guest() . ')<br />';
    echo '<img src="../images/img/act.gif" alt="image" /> <a href="forum.php?' . SID . '">Управление форумом</a> (' . stats_forum() . ')<br />';
    echo '<img src="../images/img/act.gif" alt="image" /> <a href="gallery.php?' . SID . '">Управление галереей</a> (' . stats_gallery() . ')<br />';
    echo '<img src="../images/img/act.gif" alt="image" /> <a href="blog.php?' . SID . '">Управление блогами</a> (' . stats_blog() . ')<br />';
    echo '<img src="../images/img/act.gif" alt="image" /> <a href="changes.php?' . SID . '">Новости RotorCMS</a><br />';

    if (is_admin(array(101, 102, 103))) {
        echo '--------------------------<br />';
        echo '<img src="../images/img/act.gif" alt="image" /> <a href="zaban.php?' . SID . '">Бан / Разбан</a><br />';
        echo '<img src="../images/img/act.gif" alt="image" /> <a href="spam.php?' . SID . '">Список жалоб</a> (' . stats_spam() . ')<br />';
        echo '<img src="../images/img/act.gif" alt="image" /> <a href="banlist.php?' . SID . '">Список забаненых</a> (' . stats_banned() . ')<br />';
        echo '<img src="../images/img/act.gif" alt="image" /> <a href="adminlist.php?' . SID . '">Список старших</a> (' . stats_admins() . ')<br />';
        echo '<img src="../images/img/act.gif" alt="image" /> <a href="reglist.php?' . SID . '">Список ожидающих</a> (' . stats_reglist() . ')<br />';
        echo '<img src="../images/img/act.gif" alt="image" /> <a href="votes.php?' . SID . '">Управление голосованием</a> (' . stats_votes() . ')<br />';
    } 

    if (is_admin(array(101, 102))) {
        echo '--------------------------<br />';

        echo '<img src="../images/img/act.gif" alt="image" /> <a href="news.php?' . SID . '">Управление новостями</a> (' . stats_allnews() . ')<br />';
        echo '<img src="../images/img/act.gif" alt="image" /> <a href="users.php?' . SID . '">Управление юзерами</a> (' . stats_users() . ')<br />';
        echo '<img src="../images/img/act.gif" alt="image" /> <a href="ban.php?' . SID . '">IP-бан панель</a> (' . stats_ipbanned() . ')<br />';
        echo '<img src="../images/img/act.gif" alt="image" /> <a href="phpinfo.php?' . SID . '">PHP-информация</a> (' . phpversion() . ')<br />';
    } 

    if (is_admin(array(101))) {
        echo '--------------------------<br />';
        echo '<img src="../images/img/act.gif" alt="image" /> <a href="setting.php?' . SID . '">Настройки сайта</a><br />';
    } 

        if ($log == $config['nickname']) {
            echo '<img src="../images/img/act.gif" alt="image" /> <a href="files.php?' . SID . '">Редактирование файлов</a><br />';
        } 

    echo '<img src="../images/img/act.gif" alt="image" /> <b><a href="http://visavi.net/rotorcms/pay.php">Купить лицензию</a></b><br />';
    // ----------------------------------------------------------------------//
    if (check_user($config['nickname'])) {
        $adminlevel = DB :: $dbh -> querySingle("SELECT `users_level` FROM `users` WHERE `users_login`=? LIMIT 1;", array($config['nickname']));

        if ($adminlevel != 101) {
            echo '<br /><div class="b"><b><span style="color:#ff0000">Внимание!!! Cуперадминистратор не имеет достаточных прав!</span></b><br />';
            echo 'Профилю назначен уровень доступа <b>' . $adminlevel . ' - ' . user_status($adminlevel) . '</b></div>';
        } 
    } else {
        echo '<br /><div class="b"><b><span style="color:#ff0000">Внимание!!! Отсутствует профиль суперадмина</span></b><br />';
        echo 'Профиль администратора <b>' . $config['nickname'] . '</b> не задействован на сайте</div>';
    } 

    if (file_exists(BASEDIR . 'install') && !empty($config['nickname'])) {
        echo '<br /><div class="b"><b><span style="color:#ff0000">Внимание!!! Необходимо удалить директорию install</span></b><br />';
        echo 'Наличие этой директории может нарушить безопасность сайта. Удалите ее прямо сейчас!</div>';
    } 

    echo '<br /><img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a><br />';
} else {
    header ('Location: ' . BASEDIR . 'index.php?' . SID);
    exit;
} 

include_once ('../themes/' . $config['themes'] . '/foot.php');

?>